#ifndef ORDERSTATUS_H
#define ORDERSTATUS_H
#include <QtSql/QSqlDatabase>
#include <QtSql/QSqlQuery>
#include <QtSql/QSqlError>
#include <QObject>

class Orderstatus : public QObject
{
    Q_OBJECT
public:
   // explicit Orderstatus(QObject *parent = 0);

    static Orderstatus& getInstance();
    bool statusinsert(const QString& orderId, const int &printstatus);
    bool printupdate(const QString& orderId, const int &printstatus);
    //bool statusdelete(const QString&);
    bool isprint(const QString& orderId);
    bool isorderexit(const QString& orderId);

private:
    Orderstatus();
    Orderstatus(Orderstatus const&);
    Orderstatus& operator=(Orderstatus const&);

signals:

public slots:
};

#endif // ORDERSTATUS_H
